aboutsummaryrefslogtreecommitdiffstats
path: root/community/docker-py/APKBUILD
diff options
context:
space:
mode:
authorFrancesco Colista <fcolista@alpinelinux.org>2016-08-22 14:38:10 +0000
committerFrancesco Colista <fcolista@alpinelinux.org>2016-08-22 14:38:10 +0000
commit502277d6eda0571f565588ca14a277f67a5e1d54 (patch)
treeffec415f1c149a5d6801c78ac84646f9fd4d498f /community/docker-py/APKBUILD
parentfe3db3488852a2ade1036090225394e66ca66c76 (diff)
downloadaports-502277d6eda0571f565588ca14a277f67a5e1d54.tar.gz
aports-502277d6eda0571f565588ca14a277f67a5e1d54.tar.bz2
aports-502277d6eda0571f565588ca14a277f67a5e1d54.tar.xz
community/docker-py: moved from testing
Diffstat (limited to 'community/docker-py/APKBUILD')
-rw-r--r--community/docker-py/APKBUILD29
1 files changed, 29 insertions, 0 deletions
diff --git a/community/docker-py/APKBUILD b/community/docker-py/APKBUILD
new file mode 100644
index 0000000000..721a8fc1d6
--- /dev/null
+++ b/community/docker-py/APKBUILD
@@ -0,0 +1,29 @@
+# Contributor: Francesco Colista <fcolista@alpinelinux.org>
+# Maintainer: Francesco Colista <fcolista@alpinelinux.org>
+pkgname=docker-py
+pkgver=1.9.0
+pkgrel=1
+pkgdesc="An API client for docker written in Python"
+url="https://github.com/dotcloud/docker-py"
+arch="noarch"
+license="APACHE"
+depends="python2 py2-requests py2-six py2-websocket-client"
+makedepends="python2-dev py-setuptools py2-six flake8 py-mock"
+install=""
+subpackages=""
+source="$pkgname-$pkgver.tar.gz::https://github.com/docker/$pkgname/archive/$pkgver.tar.gz"
+
+builddir="$srcdir"/$pkgname-$pkgver
+build() {
+ cd "$builddir"
+ python2 setup.py build || return 1
+}
+
+package() {
+ cd "$builddir"
+ python2 setup.py install --prefix=/usr --root="$pkgdir" || return 1
+}
+
+md5sums="a84dd27288edfa507a40eb173ca62132 docker-py-1.9.0.tar.gz"
+sha256sums="0ff58798c8cf79c7e459505786b3b83ca0552a077945b8fe20fc38ff3f732361 docker-py-1.9.0.tar.gz"
+sha512sums="49e6d4e8ab30c4e54165e7eff9e3034a1fe102348020bad2c5aefa238c44efdf39711536a7727fd9689e2e90483a348930bb91f1e76cade546161c82990f78ed docker-py-1.9.0.tar.gz"